import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:router/ext/auto_router_extensions.dart';
import 'package:router/path/router_path.dart';

import '../../modules/profile_edit/Profile_edit_page.dart';
import '../../modules/setting/setting_page.dart';
import '../../modules/change_mobile/change_mobile_page.dart';
import '../../modules/reset_password/reset_password_page.dart';
import '../../modules/my_estate/my_estate_page.dart';
import '../../modules/my_household/my_household_page.dart';


part 'profile_page_router.gr.dart';

/*\
 * Profile模块路由
 */
@AutoRouterConfig(replaceInRouteName: 'Page|Screen,PageRoute')
class ProfilePageRouter extends _$ProfilePageRouter {
  @override
  List<AutoRoute> get routes => [

    CustomRoute(page: ProfileEditPageRoute.page, path: RouterPath.profileEdit, transitionsBuilder: applySlideTransition),
    CustomRoute(page: SettingPageRoute.page, path: RouterPath.settings, transitionsBuilder: applySlideTransition),
    CustomRoute(page: ChangeMobilePageRoute.page, path: RouterPath.settingsChangeMobile, transitionsBuilder: applySlideTransition),
    CustomRoute(page: ResetPasswordPageRoute.page, path: RouterPath.settingsResetPassword, transitionsBuilder: applySlideTransition),
    CustomRoute(page: MyEstatePageRoute.page, path: RouterPath.profileEstate, transitionsBuilder: applySlideTransition),
    CustomRoute(page: MyHouseholdPageRoute.page, path: RouterPath.profileHousehold, transitionsBuilder: applySlideTransition),
  ];
}
